Bug 1003332 - buffer overflow in cueconvert when converting TOC to CUE
buffer overflow in cueconvert when converting TOC to CUE
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cuetools (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Paul P Komkoff Jr
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-01 18:15 EDT by Robert Urban
Modified: 2015-02-17 12:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:01:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a toc file from an audio cd, generated using cdrdao (1.19 KB, application/x-cdrdao-toc)
2013-09-01 18:15 EDT, Robert Urban
no flags Details

  None (edit)
Description Robert Urban 2013-09-01 18:15:39 EDT
Created attachment 792680 [details]
a toc file from an audio cd, generated using cdrdao

Description of problem:
cueconvert faults with a buffer overflow when converting TOC to CUE format

in bug 485688 it is claimed (from 2009): "Fixed In Version: 1.4.0-0.4.svn305.fc10 → 1.4.0-0.4.svn305.fc11"
That is either nonsense, or this is not the same bug.

Version-Release number of selected component (if applicable):
cuetools.x86_64 0:1.4.0-0.10.svn305.fc19

How reproducible:
run "cueconvert -i toc -o cue spiorad.toc" ("spiorad.toc" attached)

Steps to Reproduce:
1. run the cdrdao command to generate a TOC file: cdrdao read-toc --device /dev/sr0 --datafile spiorad.wav spiorad.toc
2. run "cueconvert -i toc -o cue spiorad.toc"
3.

Actual results:
[urban@noisy Ripping]$ cueconvert -i toc -o cue spiorad.toc 
CATALOG 0000000000000

FILE "spiorad.wav" WAVE
TRACK 01 AUDIO
PREGAP 00:00:32
*** buffer overflow detected ***: cueconvert terminated
======= Backtrace: =========
/lib64/libc.so.6(__fortify_fail+0x37)[0x7f844cedb5d7]
/lib64/libc.so.6(+0x3661f0b7a0)[0x7f844ced97a0]
/lib64/libc.so.6(+0x3661f0acc9)[0x7f844ced8cc9]
/lib64/libc.so.6(_IO_default_xsputn+0xbc)[0x7f844ce473fc]
/lib64/libc.so.6(_IO_vfprintf+0xa9a)[0x7f844ce1646a]
/lib64/libc.so.6(__vsprintf_chk+0x88)[0x7f844ced8d58]
/lib64/libc.so.6(__sprintf_chk+0x7d)[0x7f844ced8cad]
/lib64/libcuefile.so.0(time_frame_to_mmssff+0x48)[0x7f844d194348]
/lib64/libcuefile.so.0(cue_print_index+0x9)[0x7f844d1945f9]
/lib64/libcuefile.so.0(cue_print_track+0x171)[0x7f844d194791]
/lib64/libcuefile.so.0(cue_print+0x8a)[0x7f844d194aea]
/lib64/libcuefile.so.0(cf_print+0xa0)[0x7f844d194530]
cueconvert(+0xdab)[0x7f844d5c6dab]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x7f844cdefb75]
cueconvert(+0xbfd)[0x7f844d5c6bfd]
======= Memory map: ========
7f844cbb8000-7f844cbcd000 r-xp 00000000 09:7e 666528                     /usr/lib64/libgcc_s-4.8.1-20130603.so.1
7f844cbcd000-7f844cdcc000 ---p 00015000 09:7e 666528                     /usr/lib64/libgcc_s-4.8.1-20130603.so.1
7f844cdcc000-7f844cdcd000 r--p 00014000 09:7e 666528                     /usr/lib64/libgcc_s-4.8.1-20130603.so.1
7f844cdcd000-7f844cdce000 rw-p 00015000 09:7e 666528                     /usr/lib64/libgcc_s-4.8.1-20130603.so.1
7f844cdce000-7f844cf84000 r-xp 00000000 09:7e 656636                     /usr/lib64/libc-2.17.so
7f844cf84000-7f844d184000 ---p 001b6000 09:7e 656636                     /usr/lib64/libc-2.17.so
7f844d184000-7f844d188000 r--p 001b6000 09:7e 656636                     /usr/lib64/libc-2.17.so
7f844d188000-7f844d18a000 rw-p 001ba000 09:7e 656636                     /usr/lib64/libc-2.17.so
7f844d18a000-7f844d18f000 rw-p 00000000 00:00 0 
7f844d18f000-7f844d1a2000 r-xp 00000000 09:7e 692032                     /usr/lib64/libcuefile.so.0.0.0
7f844d1a2000-7f844d3a1000 ---p 00013000 09:7e 692032                     /usr/lib64/libcuefile.so.0.0.0
7f844d3a1000-7f844d3a2000 r--p 00012000 09:7e 692032                     /usr/lib64/libcuefile.so.0.0.0
7f844d3a2000-7f844d3a3000 rw-p 00013000 09:7e 692032                     /usr/lib64/libcuefile.so.0.0.0
7f844d3a3000-7f844d3c4000 r-xp 00000000 09:7e 656610                     /usr/lib64/ld-2.17.so
7f844d59e000-7f844d5a1000 rw-p 00000000 00:00 0 
7f844d5c0000-7f844d5c3000 rw-p 00000000 00:00 0 
7f844d5c3000-7f844d5c4000 r--p 00020000 09:7e 656610                     /usr/lib64/ld-2.17.so
7f844d5c4000-7f844d5c5000 rw-p 00021000 09:7e 656610                     /usr/lib64/ld-2.17.so
7f844d5c5000-7f844d5c6000 rw-p 00000000 00:00 0 
7f844d5c6000-7f844d5c8000 r-xp 00000000 09:7e 692022                     /usr/bin/cueconvert
7f844d7c7000-7f844d7c8000 r--p 00001000 09:7e 692022                     /usr/bin/cueconvert
7f844d7c8000-7f844d7c9000 rw-p 00002000 09:7e 692022                     /usr/bin/cueconvert
7f844e52e000-7f844e54f000 rw-p 00000000 00:00 0                          [heap]
7fff1f288000-7fff1f2a9000 rw-p 00000000 00:00 0                          [stack]
7fff1f3fe000-7fff1f400000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
INDEX 00 Aborted (core dumped)


Expected results:
a healthy cue file?

Additional info:
cdrdao command to generate TOC file:
cdrdao read-toc --device /dev/sr0 --datafile spiorad.wav spiorad.toc
Comment 1 Fedora End Of Life 2015-01-09 14:40:53 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 12:01:05 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.